<?php

namespace Drupal\flag_lists;

use Drupal\Core\Form\FormStateInterface;
use Drupal\flag_lists\Entity\FlagForList;

/**
 * Class FlagTracker
 *
 * Tracks updating of flags
 */

class FlagTracker {

  /*
   * Add a FlagForLists record in the database
   */
  public static function save($form, FormStateInterface $form_state) {

    $flagValues = $form_state->getValues();

    $build_array = array();
    $build_array['id'] =  $flagValues['id'];
    $build_array['label'] =  $flagValues['label'];

    $flagForList = new FlagForList($build_array, 'flag_for_list');

    $flagForList->setBaseFlag($flagValues['id']);
    //$flagForList->set('label', $flagValues['label']);
    $flagForList->setOwner();
    $flagForList->save();
  }

  /*
   * Delete a FlagForLists record in the database
   */
  public function delete() {
  }

}
